<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>7. lekce</title>
</head>
<body>
    
    <script>
        //anonymni funkce, zavorky na konci zavolaji funkci
        (async function() {
            const delay = ms => new Promise(res => setTimeout(res, ms));

            // nebo muzete vyuzit seznam ukolu v TODO listu: https://raw.githubusercontent.com/pavelprokes/js-demo-test/master/vzdelani-budoucnosti/javascript/todolist.json
            const url = "https://raw.githubusercontent.com/pavelprokes/js-demo-test/master/vzdelani-budoucnosti/javascript/products.json"

            // priprava pro spinner, cekatko, loading indikator
            let loading = false;

            async function getProducts() {
                loading = true;

                // zpozdeni 4000 milisekund = 4 sekundy
                await delay(4000);

                const data = await fetch(url)
                    .catch(error => {
                        console.log(`Error when fetching products from ${url} error: ${JSON(error)}.`);
                        // console.log("Error when fetching products from", url, JSON(error));
                    })
                    .then(response => {
                        const jsonData = response.json();
                        return jsonData;

                        // jednodussi zapis: fetch(url).then(res => res.json);
                    });

                loading = false;

                return data;
            }

            
            console.log(await getProducts());
        })();


        
    </script>

</body>
</html>